"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_naviHelper = require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-cell",
  props: [
    "title",
    "required",
    "borderTop",
    "isLink",
    "tip",
    "value",
    "url",
    "isPlaceholder",
    "padding",
    "des",
    "rightStyle",
    "titleStyle"
  ],
  emits: ["click"],
  setup(__props, { emit }) {
    const props = __props;
    const borderStyle = "1rpx solid #eee";
    const paddingStyle = "15rpx 0";
    const handleClick = () => {
      if (props == null ? void 0 : props.url) {
        common_libraries_naviHelper.goto(props.url);
      } else {
        emit("click");
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t((props == null ? void 0 : props.title) || "标题"),
        b: __props.required
      }, __props.required ? {} : {}, {
        c: common_vendor.s(props.titleStyle),
        d: props == null ? void 0 : props.value
      }, (props == null ? void 0 : props.value) ? {
        e: common_vendor.t(props == null ? void 0 : props.value)
      } : {
        f: common_vendor.s(props.rightStyle)
      }, {
        g: props == null ? void 0 : props.isLink
      }, (props == null ? void 0 : props.isLink) ? {
        h: common_vendor.t(!(props == null ? void 0 : props.value) && (props == null ? void 0 : props.isPlaceholder) ? (props == null ? void 0 : props.tip) || "请选择" : ""),
        i: common_vendor.p({
          type: "right",
          size: "15",
          color: "#999"
        })
      } : {}, {
        j: props == null ? void 0 : props.des
      }, (props == null ? void 0 : props.des) ? {
        k: common_vendor.p({
          type: "info-filled",
          size: "15",
          color: "#999"
        }),
        l: common_vendor.t(props == null ? void 0 : props.des)
      } : {}, {
        m: props.borderTop ? borderStyle : "",
        n: (props == null ? void 0 : props.padding) || paddingStyle,
        o: common_vendor.o(handleClick)
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-a47406cc"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-cell/hs-cell.vue"]]);
wx.createComponent(Component);
